<?php

namespace Modules\Pd\Http\Controllers;

use Illuminate\Contracts\Support\Renderable;
use Illuminate\Http\Request;
use Illuminate\Routing\Controller;
use Illuminate\Support\Facades\DB;
use Modules\Pd\Entities\PallatizingAttachment;
use Modules\Pd\Entities\PallatizingData;
use Modules\Pd\Entities\PallatizingEmployee;
use Modules\Pd\Entities\PallatizingHeader;

class PallatizingListController extends Controller
{


    public function allPallatizingData()
    {
        try {
            $query = 'SELECT *FROM pd_pallatizing_headers ORDER BY pallatizing_header_id DESC';
            $pallets = DB::select($query);
            $responseBody = $this->responseBody(true, "PallatizingListController", "allPallatizingData", $pallets);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "PallatizingListController", "allPallatizingData", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }




    public function deletePallet($id)
    {
        try {
            $pallet = PallatizingHeader::find($id);

            if ($pallet->delete()) {
                /** DELETE PALLATIZING DATA*/
                $pallet_data = PallatizingData::where('pallatizing_header_id', '=', $id)->get();
                foreach ($pallet_data as $data) {
                    PallatizingData::find($data->pallatizing_data_id)->delete();
                }
                /**END OF DELETE PALLATIZING DATA */


                /** DELETE PALLATIZING EMPLOYEE */
                $pallet_employee = PallatizingEmployee::where('pallatizing_header_id', '=', $id)->get();
                foreach ($pallet_employee as $employee) {
                    PallatizingEmployee::find($employee->pallatizing_employee_id)->delete();
                }
                /**END OF DELETE PALLATIZING EMPLOYEE */


                /** DELETE PALLATIZING ATTACHMNET */
                $pallet_attachment = PallatizingAttachment::where('pallatizing_header_id', '=', $id)->get();
                foreach ($pallet_attachment as $attachment) {
                    PallatizingAttachment::find($attachment->pallatizing_attachment_id)->delete();
                }
                /**END OF DELETE PALLATIZING ATTACHMNET */
            }

            $responseBody = $this->responseBody(true, "PallatizingListController", "deletePallet", true);
        } catch (\Exception $exception) {
            $responseBody = $this->responseBody(false, "PallatizingListController", "deletePallet", $exception);
        }

        return response()->json(["data" => $responseBody]);
    }


    /**
     * responseBody
     * This is used to create response.
     * @param success This is the paramter require boolean
     * @param name This is the paramter require ui table name
     * @param message This is the paramter require message content
     * @param result This is the paramter require result as some of data to return client
     * @return Json This returns as response.
     */
    private function responseBody($success, $name, $message, $result)
    {
        $body = [
            "success" => $success,
            "message" => $message,
            "name" => $name,
            "result" => $result
        ];
        return $body;
    }
}
