<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01//EN" "http://www.w3.org/TR/html4/strict.dtd">

<html lang="en">

<head>


    <link rel="stylesheet" href="{{ url('vendors/datepicker/daterangepicker.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('pp:js/lib/jquery-ui-1.8.4.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('pp:css/reset.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('pp:css/jquery.ganttView.css') }}" type="text/css">
    <link rel="stylesheet" href="{{ Module::asset('pp:css/slider.css') }}" type="text/css">


    <style type="text/css">
        body {
            font-family: tahoma, verdana, helvetica;
            font-size: 0.8em;
            padding: 10px;
        }

        ;


        body {
            font-family: Arial, Helvetica, sans-serif;
        }

        /* The Modal (background) */
        .modal {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 100px;
            /* Location of the box */
            left: 0;
            top: 0;
            width: 100%;
            /* Full width */
            height: 100%;
            /* Full height */
            overflow: auto;
            /* Enable scroll if needed */
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.4);
            /* Black w/ opacity */
        }


        /* The Modal (background) */
        .modalSearch {
            display: none;
            /* Hidden by default */
            position: fixed;
            /* Stay in place */
            z-index: 1;
            /* Sit on top */
            padding-top: 60px;
            /* Location of the box */
            left: 50;
            top: 0;
            width: 300px;
            /* Full width */
            height: 100%;
            /* Full height */

            /* Enable scroll if needed */
            background-color: rgb(0, 0, 0);
            /* Fallback color */
            background-color: rgba(0, 0, 0, 0.0);
            /* Black w/ opacity */
        }

        /* Search Modal Content */
        .modalSearch-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* Modal Content */
        .modal-content {
            background-color: #fefefe;
            margin: auto;
            padding: 20px;
            border: 1px solid #888;
            width: 80%;
        }

        /* The Close Button */
        .close {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .close:hover,
        .close:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }


        /* The Close Button */
        .closeModal {
            color: #aaaaaa;
            float: right;
            font-size: 28px;
            font-weight: bold;
        }

        .closeModal:hover,
        .closeModal:focus {
            color: #000;
            text-decoration: none;
            cursor: pointer;
        }

        .gantt_table {
            font-family: arial, sans-serif;
            border-collapse: collapse;
            width: 100%;
        }

        .gantt_td {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        .gantt_th {
            border: 1px solid #dddddd;
            text-align: left;
            padding: 8px;
        }

        .gantt_tr:nth-child(even) {
            background-color: cornflowerblue;
        }
    </style>
    <title>RBS</title>
</head>

<body>

    <div class="row">
        <div class="col-md-12">
            <h1 style="text-align: center;font-size:24px;">Gantt Chart</h1>
        </div>
    </div>
    <div class="row">
        <div class="col-md-6">
            <button id="dashboard-daterangepicker" class="btn btn-outline-light">
                <span>Jan, 01, 2022</span>
            </button>
            <button id="btnSearch" class="btn btn-primary">Search</button>
            <button id="btnRefresh" class="btn btn-primary">Refresh</button>
        </div>
    </div>
    <br>
    <div id="ganttChart"></div>




    <!--Gantt Chart Data Modal -->
    <div id="myModal" class="modal">

        <!-- Modal content -->
        <div class="modal-content">
            <span class="close">&times;</span>
            <div><h2 id="modal_title"></h2></div>
            <table class="gantt_table" id="ganttModalTable">
                <thead>
                    <tr class="gantt_tr">
                        <th class="gantt_th">Date</th>
                        <th class="gantt_th">Manufacturing Order No</th>
                        <th class="gantt_th">Customer Order No</th>
                        <th class="gantt_th">Product Name</th>
                        <th class="gantt_th">Shift</th>
                        <th class="gantt_th">Quantity</th>
                    </tr>
                </thead>
                <tbody id="ganttModalTableBody">
                </tbody>
            </table>
        </div>

    </div>



    <!--Gantt Chart Search Modal -->
    <div id="searchModal" class="modal modalSearch modal-sm">

        <!-- Modal content -->
        <div class="modalSearch-content">
            <span class="closeModal">&times;</span>
            <br><br>
            <hr>
            <br>
            <table style="width: 100%">
                <tr>
                    <td>
                        <h3>Order</h3>
                    </td>
                    <td style="text-align: right; height:25px;"><label class="switch"><input type="checkbox" id="checkOrderSearch"><span class="slider round"></span></label></td>

                </tr>
                <tr>
                    <td colspan="2"><select class="form-control" id="cmbOrder" style="width: 100%;height:30px;"></select></td>

                </tr>
            </table>
            <br>
            <table style="width: 100%">
                <tr>
                    <td>
                        <h3>Product</h3>
                    </td>
                    <td style="text-align: right; height:25px;"><label class="switch"><input type="checkbox" id="checkProductSearch"><span class="slider round"></span></label></td>

                </tr>
                <tr>
                    <td colspan="2"><select class="form-control" id="cmbProduct" style="width: 100%;height:30px;"></select></td>

                </tr>
            </table>
            <br>
            <table style="width: 100%">
                <tr>
                    <td>
                        <h3>Machine</h3>
                    </td>
                    <td style="text-align: right; height:25px;"><label class="switch"><input type="checkbox" id="checkMachineSearch"><span class="slider round"></span></label></td>

                </tr>
                <tr>
                    <td colspan="2"><select class="form-control" id="cmbMachine" style="width: 100%;height:30px;"></select></td>

                </tr>
            </table>
            <br>
            <div class="row">
                <div class="col-md-12 mt-3">
                    <button type="button" id="btnModalSearch" class="btn btn-primary" style="height:30px">Search</button>
                </div>
            </div>
        </div>

    </div>




    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="{{ Module::asset('pd:js/lib/date.js') }}"></script>
    <script src="{{ Module::asset('pd:js/lib/jquery-ui-1.8.4.js') }}"></script>
    <script src="{{ Module::asset('pd:js/jquery.ganttView.js') }}?random=<?php echo uniqid(); ?>"></script>


    <script src="{{ url('vendors/datepicker/daterangepicker.js') }}"></script>
    <script src="{{ Module::asset('pd:js/ganttChart.js') }}?random=<?php echo uniqid(); ?>"></script>



</body>

</html>